﻿#cwscheduler .nav-tabs > li > a {
    /*padding-top:0px;
    padding-bottom:0px;
    margin-top:0px;
    margin-bottom:0px;            */
}

#cwscheduler {    
    width: 100%;
}
#cwscheduler .tab-pane {
    overflow: hidden;
    border: 1px solid #dedede;
    overflow-x: auto;
    width: 100%;
	min-height: 250px;
}
#cwscheduler .container{
    border:0px solid #929292;	
    width:100%; 
    padding: 5px 0px 0px 0px !important;
}
#cwscheduler ul li {
	list-style-type: none;
}
.hdr{
    vertical-align: top;
    padding:0px;
    margin:0px 0 4px 0;
}
.hdr1 {
    /*background: #5bc0de;
    background-color: rgb(91, 192, 222);*/
    color: #ffffff;
}
.active .hdr1:hover, .today:hover {
    background: #777777!important;
    color: #000000!important;
    cursor: pointer!important;
}
.anch {
    cursor:pointer;    
}
.active .hdr-btn{
     background: #E8EAEC!important;
    color: #000000!important;
    cursor: pointer!important;
}

.datesummary{         
    /*height: 30px;*/
    /*Fix for calendar img.trigger*/
    float: left;
    margin: 5px 5px 0px 5px ;
    display: inline-block;
}

#btnToday.today {
    cursor: pointer;    
    color: #fff;
    border-radius: 10px;
    margin-right: 15px!important;
    display: inline-block;
    border: 0;
    
}
.ui-datepicker-trigger{
    cursor:pointer;
}

#ui-datepicker-div{
    z-index: 999;
}

.title{
    border: solid 1px #000;
}

.title, .title1, .title2{    
    font-size: 11px;    
    font-weight:normal;
    color:#fff;
    position:absolute; 
    z-index:1;            
    word-wrap: break-word;
    background-color: #666768;
}
.title1{		
    /* background-color: #949494; */
    border: 0px;
    color: #ffffff;
    padding: 2px 5px;
	margin-bottom: 1px;
    font-family: "Segoe UI", Arial, sans-serif;
    font-size: 11px;
    font-stretch: normal;
    font-style: normal;
    font-variant-caps: normal;
    font-variant-ligatures: normal;
    font-variant-numeric: normal;
    font-weight: normal;
    /* position: relative; */
    z-index: 200;
    white-space: no-wrap;
/*    position:absolute; */

}

.title3{		
    background-color: #949494;
    border: 0px;
    color: #ffffff;
    padding: 2px 5px;
	margin-bottom: 1px;
    font-family: "Segoe UI", Arial, sans-serif;
    font-size: 11px;
    font-stretch: normal;
    font-style: normal;
    font-variant-caps: normal;
    font-variant-ligatures: normal;
    font-variant-numeric: normal;
    font-weight: normal;
    position: relative;
    z-index: 200;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 95%;
}

.title2 {
    background-color: #fff!important;
    border: none!important;
    color:#000!important;
    text-align:right !important;
	padding-right: 4px;
}

.title2:hover {
    text-decoration: underline;
}

#cwscheduler .col-md-3.padding0.text-right {
    position: unset;
}
.datePicker1{
    display: none; 
    /*position: relative;*/
     width: 50px; 
    z-index: 400;
}

/*======================================================================================*/
/*Day Region----------------------------------------------------------------------------*/
/*======================================================================================*/
#tDay, #tWeek, #tCal1, #tTime {
    width:100%;
	border: 1px solid #E8EAEC;
}

#tDay .td1, #tWeek .td1{
    width:55px;
    text-align: right;
    vertical-align: top;
}

#tDay .td2{
    width:100%;
    border-top:1px solid #E8EAEC;
    border-left:1px solid #E8EAEC;
    vertical-align: top;
    position:relative;
}

#tDay .td3{
    position: relative;
}

#tDay .td0{
    border-right:1px solid #E8EAEC;
}

#tDay td {
    height:25px;
}

.ampm{
    font-size: 10px;
    position: relative;
    text-align: right;
    vertical-align: middle;
    padding-top: 0px;
    margin: 0px;
    padding-left: 1px;

}

.td0{   
    text-align: center;
    border-top:1px solid #E8EAEC;
    border-left:1px solid #E8EAEC;
    position: relative;
    vertical-align: top;
}

/*======================================================================================*/
/*Week Region---------------------------------------------------------------------------*/
/*======================================================================================*/
#tWeek td {
	width:150px;
    height:25px;
    vertical-align: top;
}

#tWeek .td2{
    width:150px;
    border-top:1px solid #E8EAEC;
    border-left:1px solid #E8EAEC;
    position: relative;
}

#tWeek .td3{
    border-left:1px solid #E8EAEC;
    position: relative;
}


/*======================================================================================*/
/*Month---------------------------------------------------------------------------------*/
/*======================================================================================*/
#tCal1 td{
    /* width:150px; */
    /* height:100px; */   
    /* height:140px; */
    height:120px;
    
    border:1px solid #E8EAEC;
    vertical-align: top;
    text-align: left;
    color:#000000;
    padding: 5px 10px;    
}
#tCal1 td, #tTime td, #tWeek td, #tDay td {
    position: relative;

    /* overflow: hidden; */
}

#tCal1 td a{
    color:#000000;
	text-decoration: none;
}

/*#tCal1 #rDays td {
    height:30px;    
    text-align: center;
    vertical-align: middle;
    font-weight: normal;
}*/



/*======================================================================================*/
/*TimeLine Region-----------------------------------------------------------------------*/
/*======================================================================================*/
#tTime {
    /*min-height:300px;*/
}
#tTime td {
    /* width:150px; */
    /* border-top:1px solid #E8EAEC;*/
    /* height: 100px; */
    border-left:1px solid #E8EAEC;    
    position: relative;
    /*height: 95px;*/ 
    height: 125px;
}

#tTime .td1{
    height:25px;
    vertical-align: middle;
    text-align: center;
}

#tTime .td2 {
    vertical-align: top;    
    padding-top: 1px;
}



/*======================================================================================*/
/*Modal Dialog Specific-----------------------------------------------------------------*/
/*======================================================================================*/
#cwscheduler .modal-dialog{
	width: 85%;
    max-width:675px;
}

#cwscheduler .modal-header{
    padding:10px;
}

#cwscheduler .modal-body{   
    max-height:500px;
    overflow-y:auto;
}


/*--------------------------------------------------------------------------------------*/
.color5{
    background-color: #F5F8F9;
}
.color4{
    background-color: #FFF;
}
.color3{
    background-color: #F5F8F9;
}
.color2{
    background-color: #F5F8F9;
}
.color1{
    background-color: #dddddd;
}

/*--------------------------------------------------------------------------------------*/






/* Style overrides */
.cw-container {
    background: #5bc0de;
    padding: 3px 15px;
    vertical-align: middle;
    color: #ffffff;
    font-weight: bold;
}


#tDay tr:first-child td, #tWeek tr:first-child td, #tCal1 tr:first-child td, #tTime tr:first-child td {
    /*background: #d9edf7;*/
    /*background: #a9d0e6db;*/
}

/*Calendar Always Display*/
#ui-datepicker-div{
   
     /*left: 10px!important;  
    top: 25px!important;*/
    /*border: 3px solid #a9d0e6db;
    border-right: 2px solid #a9d0e6db !important;*/
    /*position:absolute;*/
    z-index: 9999!important;
}


#tCal1 tr>td:last-child {
    /*border-right: 4px solid #a9d0e6db;;*/
}

.custom-filter-wrapper {
    height: 100px;
    overflow: auto;
    border: 4px solid #a9d0e6db;
    /*width: 216px;
    float: right;*/    
    margin-top:5px;
}
.custom-filter-wrapper .filter-header {
    font-weight: bold;
    background: #a9d0e6db;
    color: #fff;
    padding: 5px 10px;
}
#cwscheduler .wrapper{
    margin-top:20px;
}
#cwscheduler .nav-tabs>li:last-child>a {
    border-radius: 4px 4px 0 0;
    margin-right: 0px !important;
}
#tCal1 tr:first-child>td:nth-child(1) {
    /*border-radius: 5px !important;
    border-left: 4px solid #a9d0e6db;*/
}
#tCal1 tr>td:nth-child(1) {
    /*border-left: 4px solid #a9d0e6db;*/
}
#tCal1 tr:nth-child(n-1)>td {
    /*border-bottom: 3px solid #a9d0e6db;*/
}
.custom-date-picker-wrapper .ui-datepicker select.ui-datepicker-month, .custom-date-picker-wrapper .ui-datepicker select.ui-datepicker-year {
    margin-right:2px;
   display:inline-block;
}
    
    tr#rDays>td {
        /*color: #fff;*/
        font-weight: bold !important;
        background-color: #E4E4E4;
    }
    /*span#btnPrev, span#btnNext {
        border: 1px solid #000;
        background-color: #ccc;
        border-radius: 2px;
        padding: 2px 1px;
        margin-right: 5px;
        float: left;
    }*/
    /*span#btnToday, span#btnPrev, span#btnNext, .hdr1 {
    border: 1px solid #E8EAEC;
	border-bottom: 0px;
    background-color: #eee;    
	color: #000000;
    border-radius: 4px 4px 0px 0px;
    padding: 0px 6px;
    margin-right: 2px;    
    float: left;
	height: 18px;
    }*/
.hdr-btn{
	border: 1px solid #E8EAEC;
	border-bottom: 0px;
    background-color: #c0baba;    
	color: #000000;
    border-radius: 4px 4px 0px 0px;
    padding: 5px 15px!important;
    margin:0 1px!important;    
    float: left;
    line-height: unset;
}
.hdr-btn:hover{
	background-color: #cccccc!important;
}
    /* img.ui-datepicker-trigger {
        border: 1px solid #000;
        background-color: #ccc;
        border-radius: 0px 4px 4px 0px;
        margin-right: 0px;
        border-left: 0px !important;
        float: left;
        padding: 5px 2px;
    }     */
    .marginT23{
        margin-top: 23px;
    }
    /* .left-wrapper{
        margin: 50px 0;
    } */
    .custom-date-picker-wrapper, .custom-event-wrapper,.custom-timezone-wrapper{
        margin-bottom: 15px;
        clear:right;
        /*width: 100%;*/
        text-align:left;
    }
    .padding0{
        padding:0px;        
}
.custom-date-picker-wrapper  .ui-datepicker {
    width:100% !important;
}

.theme_bg .ui-datepicker-title select{
	border: 0;
    background: transparent;
}
.theme_bg .ui-datepicker-title select option{
	color: #000000;
}
.cust_tbl_head td{	
	height: 30px!important;
	vertical-align: middle!important;
	text-align: center!important;	
	font-weight: bold!important;
}
.custom-date-picker-wrapper .ui-datepicker-header select{
	border: 0;
	outline: none;
    background: transparent;
}
.custom-date-picker-wrapper .ui-datepicker-header option{
	font-size: 12px;
	color: #000000;
}

.custom-date-picker-wrapper a.ui-state-active {    
    border-color: transparent;
}
#EventMore {
    max-height: 100px;
    overflow-x: hidden;
    overflow-y: auto;    
	    padding: 4px 4px;
}
    #EventMore .title1 {
        color: inherit;
        border: 0;
        border-bottom-width: 1px;
        border-bottom-style: solid;
        background-color: #dddddd;
    }
.EvemtMore {
    max-height: 120px;
    overflow: hidden;    
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 999;
    border: 2px solid #dedede;
    background-color: #ffffff;
    box-shadow: 0 0 10px 0px #000;
	box-shadow: none;
	width: 100%;
}
.EvemtMore .close{
    color: #101010;
    font-family:  inherit;
    font-weight: normal;
    font-size: 12px;
    text-shadow: none;
    box-shadow: none;
    margin: 4px 3px;
}
#EventMoreheader .close:focus, #EventMoreheader .close:hover{
	color: #000000;
}
/* Popup Style Overrides */
.theme_border{
    border-width: 2px ;
    border-style:solid;
}
#modal-1 .modal-header .close{
    opacity: 1;
    color: #cccccc;
    text-shadow: none;
}
#modal-1 .modal-footer .close{
    opacity: 1;    
    text-shadow: none;
    font-size: 14px;
    font-weight: bold;
    float: left;
}
#from-event label{
    margin: 0 0 6px 0;
    padding: 8px 10px;
}
#from-event p.form-control-static{
    margin: 0 0 6px 0;
    padding: 8px 10px;    
    border: 1px solid #dedede;
}
#modal-1 h4.modal-title{
    font-size: 18px;
    font-weight: bold;
}
/*for diplaying calendar img*/
div#cwscheduler .ui-datepicker-trigger {
    display: inline-block!important;
    /*float: left;*/
    /*width: 15px;*/
    vertical-align: middle;
    position: relative;
}
#cwscheduler .ui-datepicker .ui-datepicker-prev span, #cwscheduler .ui-datepicker .ui-datepicker-next span {
    color: transparent;
}
.ui-datepicker .ui-datepicker-prev-hover{
    left: 2px!important;
    top: 2px!important;
}
#btnPrev, #btnNext{
	font-size: 20px;
}
.HighRiskLevelList, .HighRiskLevelList a{
color: red;
}
.HighRiskLevelList #fullbar {
    background-color: red;
}
.HighRiskLevelList .listdetailDescription{
    border-bottom: 1px solid red;
}
.StandardRiskLevelList, .StandardRiskLevelList a{
    color: #83a638;
    }
    .StandardRiskLevelList #fullbar {
        background-color: #83a638;
    }
    .StandardRiskLevelList .listdetailDescription{
        border-bottom: 1px solid #83a638;
    }
.LowRiskLevelList, .LowRiskLevelList a{
    color :#c15d17;
    }

    .LowRiskLevelList #fullbar {
        background-color: #c15d17;
    }

    .LowRiskLevelList .listdetailDescription{
        border-bottom: 1px solid #c15d17;
    }

.RoutineRiskLevelList, .RoutineRiskLevelList a, .RoutineRiskLevelList, .RoutineRiskLevelList a:focus{
    color:#44718f;
    }
    .RoutineRiskLevelList #fullbar {
        background-color: #44718f;
    }
    .RoutineRiskLevelList .listdetailDescription{
        border-bottom: 1px solid #44718f;
    }
.StatusOfChangeApproved, .StatusOfChangeApproved a, .StatusOfChangeApproved, .StatusOfChangeApproved a:focus{
    color:#7ea30b;
}
.StatusOfChangeApproved #fullbar {
    background-color: #7ea30b;
}

.StatusOfChangeApproved .listdetailDescription{
    border-bottom: 1px solid #7ea30b;
}

.StatusOfChangeIncomplete, .StatusOfChangeIncomplete a, .StatusOfChangeIncomplete, .StatusOfChangeIncomplete a:focus{
    color:#0a80c9;
}

.StatusOfChangeIncomplete #fullbar {
    background-color: #0a80c9;
}

.StatusOfChangeIncomplete .listdetailDescription{
    border-bottom: 1px solid #0a80c9;
}

.StatusOfChangeRequested, .StatusOfChangeRequested a, .StatusOfChangeRequested, .StatusOfChangeRequested a:focus{
    color:#e60000;
}

.StatusOfChangeRequested #fullbar {
    background-color: #e60000;
}

.StatusOfChangeRequested .listdetailDescription{
    border-bottom: 1px solid #e60000;
}

.StatusOfChangeReviewing, .StatusOfChangeReviewing a, .StatusOfChangeReviewing, .StatusOfChangeReviewing a:focus{
    color:#1e4866;
}

.StatusOfChangeReviewing #fullbar {
    background-color: #1e4866;
}
.StatusOfChangeReviewing .listdetailDescription{
    border-bottom: 1px solid #1e4866;
}
.StatusOfChangeScheduled, .StatusOfChangeScheduled a, .StatusOfChangeScheduled, .StatusOfChangeScheduled a:focus{
    color:#e6771b;
}
.StatusOfChangeScheduled #fullbar {
    background-color: #e6771b;
}
.StatusOfChangeScheduled .listdetailDescription{
    border-bottom: 1px solid #e6771b;
}
.listdetail{
    color: #333333;
    border-left: 2px solid #b0c4d1;
    padding-left: 10px;
    margin-left: 25px;
}
.listdetailMore, .listdetailMore a{
    color: #0000ff;
}
.listdetail div {
    padding-bottom: 5px;
    padding-top: 5px;
}
.eventListRowEven{
    padding: 5px;
    background-color: #ffffff;
    vertical-align: top;
    
}
.eventListRowOdd{
    padding: 5px;
    background-color: #deecf5db;
    vertical-align: top;
}
.teventlist{
    width: 100%;
}
.eventdatelist{
    font-weight: bold;
}

.ListViewOption label{
    
    font-weight: inherit !important;
    padding-left: 10px;
}
.ListViewOption input{
    vertical-align: top;
    margin-left: 5px !important;
}
.ListViewOption span{
    font-weight: bold;
    margin-left: 10px;
}
.ListDetail span{
    margin-left: 10px;
    color: #548d92;
}
.ListViewOption{
    background-color: #a8c4c4;
}
.ListDetail{
    overflow-x: auto;
    /*max-height: 400px;*/
	font-weight: bold;
}
.ListDetail .navdayview:hover, .ListDetail .navdayview span:hover {
    color: #e00000;
}

#tlist td:nth-child(1), #tlist td:nth-child(2) {
    width: 150px;
}

/*remove background content scroll when modal is opened*/
body.modal-open  .right-contentarea{
    overflow: hidden !important;
}

/*Added spac for event - Day View*/
#tDay .title{
    padding: 2px 5px !important;
}

.EvemtMore .close:hover, #EventMore .close, #EventMore .close:hover .close:focus, .close:hover{
	color: #101010 !important;
	opacity: 1!important;
}
.ListDetail #fullbar {
    width: 41%;
    display: block;
    margin-left:0px !important;
}
.teventlist td {
    padding-top: 2px;
    padding-bottom: 2px;
}
/*Changed by sivaranjani*/
html.modal-open{
overflow: hidden!important;
    overflow-y: hidden !important;
}
body.modal-open {
    overflow: hidden!important;
    -webkit-overflow-scrolling: touch;
    overflow-y: hidden !important;
}

body.modal-open .right-contentarea {
    overflow: hidden!important;
    overflow-y: hidden!important;
}
/*customization*/
#btnPrev, #btnNext {
    font-size: 18px;
    padding: 0px 12px !important;
    margin-bottom: 0px !important;
    border-radius: 0px !important;
    background: #545b62  !important;
    color: #fff !important;
}
#btnPrev:hover, #btnPrev:focus, #btnNext:hover, #btnNext:focus{
	opacity:0.9;
}
#cwscheduler .nav-tabs > li > a.hdr-btn {
    background: #545b62  !important;
    color: #fff !important;
    border-radius: 0px;
    border: none;
    padding: 3px 18px !important;
    margin-right: 3px !important;
	text-decoration: none
}
#cwscheduler .nav-tabs > li > a.hdr-btn:hover, #cwscheduler .nav-tabs > li > a.hdr-btn:focus{
	opacity:0.9;
}
#btnToday.today{
	background: #009B48 !important;
    color: #fff !important;
    border-radius: 3px;
    border: none;
    padding: 3px 18px !important;
	margin-right:0 !important;
    display:none;
}
#btnToday.today:hover, #btnToday.today:focus{
	opacity:0.9;
}
#cwscheduler .nav-tabs {
    border-bottom: 0;
    padding-left: 0;
    margin: 0;
    justify-content: flex-end;
}
#cwscheduler .nav-tabs li:last-child a {
    margin-right: 0 !important;
}

div#cwscheduler .ui-datepicker-trigger {
    width: 28px;
}
@media(max-width: 1023px){
	#cwscheduler .nav-tabs > li > a.hdr-btn {
		padding: 3px 14px !important;
	}
}
@media(max-width: 768px){
	#cwscheduler .ui-datepicker-trigger {
		position: relative;
		top: 30px;
	}
}